/*
 * Ejercicio 3: parpadear 5 veces el led al pulsar el botón
 */

const int pinLED = 5;        // pin para el LED
const int pinPulsador = 10;  // pin para el pulsador

void setup() {
  pinMode(pinLED, OUTPUT);             // ponemos el pin del LED como salida
  pinMode(pinPulsador, INPUT_PULLUP);  // ponemos el pin del pulsador como entrada PULL-UP
}

void loop() {
  int lectura;                         // declaramos una variable para guardar nuestras lecturas
  lectura = digitalRead(pinPulsador);  // leemos el valor del pin del pulsador

  if (lectura == LOW)  //comparamos si el valor leído es igual a 0/LOW
  {
    // ¡el botón está pulsado!
    // parpadeamos el LED 5 veces
    for (int contador = 1; contador <= 5; contador++)  // bucle con contador de 1 a 5, ambos inclusive
    {
      digitalWrite(pinLED, HIGH);  // encendemos el LED
      delay(50);                   // esperamos 50 milisegundos
      digitalWrite(pinLED, LOW);   // apagamos el LED
      delay(500);                  // esperamos medio segundo
    }
  }
}
